curl --request GET \
--url https://us.infisical.com/api/v1/projects/{projectId}/memberships/groups \
--header 'Authorization: Bearer <token>'{
"groupMemberships": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"roles": [
{
"id": "<string>",
"role": "<string>",
"isTemporary": true,
"customRoleId": "<string>",
"customRoleName": "<string>",
"customRoleSlug": "<string>",
"temporaryMode": "<string>",
"temporaryRange": "<string>",
"temporaryAccessStartTime": "2023-11-07T05:31:56Z",
"temporaryAccessEndTime": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}List project group memberships.
curl --request GET \
--url https://us.infisical.com/api/v1/projects/{projectId}/memberships/groups \
--header 'Authorization: Bearer <token>'{
"groupMemberships": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"roles": [
{
"id": "<string>",
"role": "<string>",
"isTemporary": true,
"customRoleId": "<string>",
"customRoleName": "<string>",
"customRoleSlug": "<string>",
"temporaryMode": "<string>",
"temporaryRange": "<string>",
"temporaryAccessStartTime": "2023-11-07T05:31:56Z",
"temporaryAccessEndTime": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Was this page helpful?